Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.
  2. Join us on Dec 8, 2022, between 7 am & 7 pm EST, in the DOTS Dev Blitz Day 2022 - Q&A forum, Discord, and Unity3D Subreddit to learn more about DOTS directly from the Unity Developers.
    Dismiss Notice
  3. Have a look at our Games Focus blog post series which will show what Unity is doing for all game developers – now, next year, and in the future.
    Dismiss Notice

Bug Unable to add Completion Criteria to any Tutorial Pages

Discussion in 'In-Editor Tutorials Packages' started by Bwavo, May 14, 2021.

  1. Bwavo

    Bwavo

    Joined:
    Feb 22, 2017
    Posts:
    7
    Hey everyone!
    First, let me say I absolutely love the In-Editor Tutorials feature. It's a great idea and the execution is really well done (apart from a bug here or there!).
    Unfortunately, I'm running into issues while trying to add Completion Criteria to any of my tutorials. This is occurring in a brand new project with only the necessary packages added. I've already submitted the bug report (Case 1336108), but I wanted to see if anyone else is running into this same issue. Basically, I started a new project on Unity 2019.4.12f1 using the basic 3d template, then followed the steps here: https://docs.unity3d.com/Packages/com.unity.learn.iet-framework@2.0/manual/index.html
    Then, when trying to add Completion Criteria to any tutorial page, I receive two errors in the console and I'm unable to edit the settings for the criterion to make it actually functional.
    upload_2021-5-14_10-25-10.png
    upload_2021-5-14_10-25-41.png
    Has anyone else run into this issue? I'd really like to utilize this amazing feature. Thank you for your time!
    Bwavo
     
  2. RikuTheFuffs-U

    RikuTheFuffs-U

    Unity Technologies

    Joined:
    Feb 20, 2020
    Posts:
    105
    Hi @Bwavo ! Unfortunately, IET 2.0.0-pre.4 has this issue with Unity 2019. We fixed it in 2.0.0-pre.5, which hopefully will be released this week.
    In the meantime, unless you have specific reasons for sticking with 2019.4, I'd recommend upgrading to unity 2020.3 LTS and use IET there
     
  3. Bwavo

    Bwavo

    Joined:
    Feb 22, 2017
    Posts:
    7
    Thank you @RikuTheFuffs-U ! I'm happy to hear there is a fix on the way. I'll have to look into upgrading to 2020 LTS, I'd always heard upgrading your Unity version mid-project was not recommended.
     
  4. RikuTheFuffs-U

    RikuTheFuffs-U

    Unity Technologies

    Joined:
    Feb 20, 2020
    Posts:
    105
    I totally feel you! But I have to say that I recently upgraded a ~1 year URP multiplayer project from 2019.4 LTS to 2020.3 LTS, the smoothest upgrade of my life as a Unity Game Developer. Literally nothing broke, in my case!
     
  5. Ali-Unity3D

    Ali-Unity3D

    Unity Technologies

    Joined:
    Mar 8, 2021
    Posts:
    16
    Hi. We've just released pre.5 versions of the packages and those versions will contain a fix for this issue.